ACTF aDesigner

Overview

aDesigner is a disability simulator that helps designers ensure that their content and applications are accessible and usable by the visually impaired.

Voice browsers and screen readers read aloud the text on Web pages and are used by visually impaired people. However, these devices are less effective with certain kinds of content, such as highly graphical material. Web developers can use aDesigner to test the accessibility and usability of Web pages for low-vision and blind people.

aDesigner also helps users to check accessibility of ODF documents and Flash content. It also has accessibility information (MSAA/IA2) inspection functions.

aDesigner Releases

All downloads are provided under the terms and conditions of the Eclipse Foundation Software User Agreement.

File Version Build ID Size
actf-aDesigner-201206272020-win32.zip 1.0.0 201206272020 32178KB

Older Releases

File Version Build ID Size
actf-aDesigner-201106222230-win32-incubation.zip 0.9.0 201106222230 28067KB
actf-aDesigner-201010121955-win32-incubation.zip 0.8.1 201010121955 30073KB
actf-aDesigner-201006231230-win32-incubation.zip 0.8.0 201006231230 28899KB
actf-aDesigner-200911101400-win32-incubation.zip 0.7.1 200911101400 27621KB
actf-aDesigner-200903301320-win32-incubation.zip 0.7.0 200903301320 25546KB
actf-aDesigner-200810082130-win32-incubation.zip 0.5.0 200810082130 23749KB

Getting started

ACTF aDesigner is an Eclipse RCP application. Download and unpack a zip file, and execute aDesigner.exe in the aDesigner folder. Online help is available from Help menu.

System Requirements

  • Operating Systems
    • Windows® XP or above
  • Hardware
    • 50MB disk space for installation
    • 100MB disk space (150MB recommended)
    • 512MB memory (1GB+ recommended)
  • Software
    • Java Runtime Environment (JRE) 5.0 or above
    • Internet Explorer 7.0 or above
    • For Flash Accessibility mode: Adobe® Flash Player, Version 8 or above
    • For OpenDocument Accessibility mode:
      • aDesigner 0.9.0 or above: OpenOffice.org 3.2.x
      • aDesigner 0.8.0: OpenOffice.org 3.x (3.0.1 to 3.1.x)
      • aDesigner 0.7.0: OpenOffice.org 3.x (3.0.1 to 3.1.x)
      • aDesigner 0.5.0: OpenOffice.org 2.x (2.1.0 or above)